nxt.http.callers

## Class VerifyPrunableMessageCall

- java.lang.Object
- - nxt.http.APICall.Builder<VerifyPrunableMessageCall>
  - - nxt.http.callers.VerifyPrunableMessageCall

-     public class VerifyPrunableMessageCall
      extends APICall.Builder<VerifyPrunableMessageCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VerifyPrunableMessageCall` | `compressMessageToEncrypt(java.lang.String compressMessageToEncrypt)`
    `static VerifyPrunableMessageCall` | `create(int chain)`
    `VerifyPrunableMessageCall` | `encryptedMessageData(byte[] encryptedMessageData)`
    `VerifyPrunableMessageCall` | `encryptedMessageData(java.lang.String encryptedMessageData)`
    `VerifyPrunableMessageCall` | `encryptedMessageNonce(byte[] encryptedMessageNonce)`
    `VerifyPrunableMessageCall` | `encryptedMessageNonce(java.lang.String encryptedMessageNonce)`
    `VerifyPrunableMessageCall` | `message(java.lang.String message)`
    `VerifyPrunableMessageCall` | `messageIsText(boolean messageIsText)`
    `VerifyPrunableMessageCall` | `messageToEncryptIsText(boolean messageToEncryptIsText)`
    `VerifyPrunableMessageCall` | `requireBlock(java.lang.String requireBlock)`
    `VerifyPrunableMessageCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `VerifyPrunableMessageCall` | `transactionFullHash(byte[] transactionFullHash)`
    `VerifyPrunableMessageCall` | `transactionFullHash(java.lang.String transactionFullHash)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static VerifyPrunableMessageCall create(int chain)

    - #### requireLastBlock

          public VerifyPrunableMessageCall requireLastBlock(java.lang.String requireLastBlock)

    - #### encryptedMessageData

          public VerifyPrunableMessageCall encryptedMessageData(java.lang.String encryptedMessageData)

    - #### encryptedMessageData

          public VerifyPrunableMessageCall encryptedMessageData(byte[] encryptedMessageData)

    - #### compressMessageToEncrypt

          public VerifyPrunableMessageCall compressMessageToEncrypt(java.lang.String compressMessageToEncrypt)

    - #### encryptedMessageNonce

          public VerifyPrunableMessageCall encryptedMessageNonce(java.lang.String encryptedMessageNonce)

    - #### encryptedMessageNonce

          public VerifyPrunableMessageCall encryptedMessageNonce(byte[] encryptedMessageNonce)

    - #### messageToEncryptIsText

          public VerifyPrunableMessageCall messageToEncryptIsText(boolean messageToEncryptIsText)

    - #### messageIsText

          public VerifyPrunableMessageCall messageIsText(boolean messageIsText)

    - #### transactionFullHash

          public VerifyPrunableMessageCall transactionFullHash(java.lang.String transactionFullHash)

    - #### transactionFullHash

          public VerifyPrunableMessageCall transactionFullHash(byte[] transactionFullHash)

    - #### message

          public VerifyPrunableMessageCall message(java.lang.String message)

    - #### requireBlock

          public VerifyPrunableMessageCall requireBlock(java.lang.String requireBlock)